<?php if(!empty($wo['story']['postLink']) && empty($wo['story']['postVine']) && empty($wo['story']['postPlaytube']) && empty($wo['story']['postDeepsound']) && empty($wo['story']['postSoundCloud']) && empty($wo['story']['postYoutube']) && empty($wo['story']['postFile'])) { ?>
	<?php if (!preg_match("/(http|https):\/\/twitter\.com\/[a-zA-Z0-9_]+\/status\/[0-9]+/", $wo['story']['postLink']) && !preg_match("/(http|https):\/\/www.tiktok\.com\/(.*)\/video\/(.*)+/", $wo['story']['postLink']) && !preg_match("/^(http:\/\/|https:\/\/|www\.).*(\.mp4)$/", $wo['story']['postLink'])) { ?>
		<div class="post-fetched-url">
			<?php $parse = parse_url($wo['story']['postLink']); ?>
			<a href="<?php echo $wo['story']['postLink'];?>" target="_blank">
				<?php if (!empty($wo['story']['postLinkImage'])) {?>
					<div class="post-fetched-url-con">
						<img src="<?php echo $wo['story']['postLinkImage'];?>" alt="<?php echo $wo['story']['postLinkTitle'];?>"/>
					</div>
				<?php } ?>
				<div class="fetched-url-text">
					<div class="valign url">
						<img src="https://www.google.com/s2/favicons?sz=32&domain_url=<?php echo $parse['host'];?>" alt="Favicon">&nbsp;<div class="main"><?php echo $parse['host']; ?></div>
					</div>
					<h4 class="truncate"><?php echo $wo['story']['postLinkTitle'];?></h4>
					<div class="description"><?php echo $wo['story']['postLinkContent'];?></div>
				</div>
				<div class="clear"></div>
			</a>
		</div>
	<?php }
		elseif (preg_match("/(http|https):\/\/www.tiktok\.com\/(.*)\/video\/(.*)+/", $wo['story']['postLink'])) {
        	echo html_entity_decode($wo['story']['postLinkContent']);
        } elseif (preg_match("/^(http:\/\/|https:\/\/|www\.).*(\.mp4)$/", $wo['story']['postLink'])) {
	?>
		<div class="post-file wo_shared_doc_file" id="fullsizeimg">
            <?php
				$wo['media'] = array('storyId' => $wo['story']['id'],
                                    'filename' => $wo['story']['postLink'],
                                    'video_thumb' => '');
				$wo['wo_ad_id'] = '';
				$wo['rvad_con'] = '';
				echo Wo_LoadPage('players/video');
			?>
		</div>
	<?php } else{ ?>
		<?php echo html_entity_decode($wo['story']['postLinkContent']);?>
	<?php } ?>
<?php } ?>